Get folders/files under a folder
curl --request GET \
--url https://api.smokeball.com/matters/{matterId}/documents/folders/{folderId} \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"value": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"folders": [
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
"parentId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
"name": "Property Documents"
}
],
"files": [
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
"versionId": "<string>",
"folder": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"matter": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"name": "court filing",
"fileExtension": ".pdf",
"ownerId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
"to": "recipient@email.com",
"from": "sender@email.com",
"dateCreated": "2022-04-23T14:00:00Z",
"dateModified": "2022-04-25T17:00:00Z",
"sizeBytes": 19104768,
"downloadInfo": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"additionalData": {},
"isFavorite": false,
"isUploaded": false,
"isCancelled": false,
"isDuplicate": true,
"isDeleted": false
}
]
}
],
"offset": 123,
"limit": 123,
"size": 123,
"first": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"previous": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"next": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"last": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"parentId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
"name": "Property Documents"
}Folders
Get folders/files under a folder
Returns a list of sub folders and files under a specified folder of a matter.
GET
/
matters
/
{matterId}
/
documents
/
folders
/
{folderId}
Get folders/files under a folder
curl --request GET \
--url https://api.smokeball.com/matters/{matterId}/documents/folders/{folderId} \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"value": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"folders": [
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
"parentId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
"name": "Property Documents"
}
],
"files": [
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
"versionId": "<string>",
"folder": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"matter": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"name": "court filing",
"fileExtension": ".pdf",
"ownerId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
"to": "recipient@email.com",
"from": "sender@email.com",
"dateCreated": "2022-04-23T14:00:00Z",
"dateModified": "2022-04-25T17:00:00Z",
"sizeBytes": 19104768,
"downloadInfo": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"additionalData": {},
"isFavorite": false,
"isUploaded": false,
"isCancelled": false,
"isDuplicate": true,
"isDeleted": false
}
]
}
],
"offset": 123,
"limit": 123,
"size": 123,
"first": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"previous": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"next": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"last": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"parentId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
"name": "Property Documents"
}Query Parameters
Required range:
0 <= x <= 2147483647Required range:
1 <= x <= 500Response
When request is successful. Returns a paged collection of 'FolderListing' objects.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Unique identifier of the parent folder
Example:
"750eb5c5-ac0b-7d11-4997-e0ce9d8896c8"
Name of the folder
Example:
"Property Documents"
āI